#-----------------------------------------------------------------------------
#
#   Supersymmetry - Game
#
#-----------------------------------------------------------------------------

from humerus.hgame import HGame
from world import World
from options import options

#-------------------------------------------------------------------------------

class Game(HGame):

	app_magic = "SSym"
	save_file_suffix = ".ssygam"
	
	frame_time = 1.0 / options.frame_rate_option
	
	@property
	def world(self):
		return self.state

	def new_state(self):
		return World()
	
	def begin_frame(self):
		self.world.timestep(self.frame_time)
	
	def game_is_completed(self):
		return self.world.game_over
	
	def changed(self):
		self.unsaved_progress = True

#-------------------------------------------------------------------------------

game = Game()
import world
world.game = game
